Subject: Re: [PATCH] Fix grammar in ip-rule(8) man page

From: Stephen Hemminger <[email-masked]>
Date: Thu, 27 Apr 2023 08:52:39 -0700

On Thu, 27 Apr 2023 11:41:48 +0500
Bilal Khan <[email-masked]> wrote:

> Hey there,
> 
> I have identified a small grammatical error in the ip-rule(8) man
> page, and have created a patch to fix it. The current first line of
> the DESCRIPTION section reads:
> 
> > ip rule manipulates rules in the routing policy database control the route selection algorithm.  
> 
> This sentence contains a grammatical error, as "control" should either
> be changed to "that controls" (to apply to "database") or "to control"
> (to apply to "manipulates"). I have updated the sentence to read:
> 
> > ip rule manipulates rules in the routing policy database that controls the route selection algorithm.  
> 
> This change improves the readability and clarity of the ip-rule(8) man
> page and makes it easier for users to understand how to use the ip
> rule command.
> 
> I have attached the patch file
> "0001-Fix-grammar-in-ip-rule-8-man-page.patch" to this email and would
> appreciate any feedback or suggestions for improvement.

Patch is missing signed off by. For legal reasons patches are only accepted
with a valid signed-off-by which is Developers Certificate of Origin.

You can use kernel checkpatch to check iproute2 patches as well.